Bug 201478 - Review Request: perl-DateTime-Format-IBeat
Review Request: perl-DateTime-Format-IBeat
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks: FE-ACCEPT 201480
  Show dependency treegraph
 
Reported: 2006-08-05 20:08 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 12:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 20:08:33 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-IBeat-0.161-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-IBeat.spec

Description:
No Time Zones, No Geographical Borders

How long is a Swatch .beat? In short, we have divided up the virtual and real
day into 1000 beats. One Swatch beat is the equivalent of 1 minute 26.4
seconds. That means that 12 noon in the old time system is the equivalent of
500 Swatch .beats.
Comment 1 Patrice Dumas 2006-08-06 07:54:05 EDT
2 remarks (not blockers):

- Since it is a noarch package, OPTIMIZE="%{optflags}" isn't needed
- no need to mv LICENSE, the spec file must be in american 
  english, not the files

* rpmlint is silent
* package named according to guidelines
* free software, licences included
* meets packaging guidelines
* spec legible
* source match upstream
53e1b71382b074c85e12c6b0bf855444  DateTime-Format-IBeat-0.161.tar.gz
* sane provides
Provides: perl(DateTime::Format::IBeat) = 0.161
* BuildRequires constructed according to Makefile.PL
* %files section right

APPROVED
Comment 2 Chris Weyl 2006-08-06 12:57:33 EDT
(In reply to comment #1)
> - Since it is a noarch package, OPTIMIZE="%{optflags}" isn't needed

Dropped those bits post-import.

+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4,FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.